Subject: Re: Translation_part II
From: Jiaojia Chen <[email-masked]>
To: jvdo <[email-masked]>
Cc: Pritish Nandi <[email-masked]>
Date: Thu, 29 Oct 2020 17:51:25 -0700 (MST)

Hi Josephine, 

Have you received the below email? 

I am resending to you 

Best Regards 
Jessica 

发件人: "Jiaojia Chen" <[email-masked]> 
收件人: "jvdo" <[email-masked]> 
抄送: "Pritish Nandi" <[email-masked]> 
发送时间: 星期四, 2020年 10 月 29日 下午 4:14:47 
主题: Re: Translation_part II 

Hi Josephine, 

Please find the remaining translation. 

Best Regards 
Jessica 

发件人: "Jiaojia Chen" <[email-masked]> 
收件人: "jvdo" <[email-masked]> 
抄送: "Pritish Nandi" <[email-masked]> 
发送时间: 星期三, 2020年 10 月 28日 下午 5:59:33 
主题: Translation_part I 

Hi Josephine, 

Please find the translation for the first link for EXPAND 80 MIC. 
I will send the remaining to you tomorrow. 

Best Regards 
Jessica